remove.hpp File Reference

## Functions

template<typename I , typename S , typename T , typename P = identity>
auto | ranges::remove (I first, S last, T const &val, P proj=P{}) -> I requires permutable< I > &&sentinel_for< S, I > &&indirect_relation< equal_to, projected< I, P >, T const *>
| function template `remove`
template<typename Rng , typename T , typename P = identity>
auto | ranges::remove (Rng &&rng, T const &val, P proj=P{}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&permutable< iterator_t< Rng >> &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, T const *>